%{?nodejs_find_provides_and_requires}

%global packagename color-support

# tests need a newer version of tap to work
%global enable_tests 0

Name:		nodejs-color-support
Version:	1.1.3
Release:	1%{?dist}
Summary:	A module which will guess your terminal's level of color support

License:	ISC
URL:		https://github.com/isaacs/color-support.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
A module which will endeavor to guess your terminal's level of color support.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

# fix script interprete
sed -i '1s/env //' bin.js

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Oct 01 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Update to upstream 1.1.3 release

* Sun Oct 01 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-2
- Fix script interpreter on bin.js

* Fri Jul 22 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
